<%- include ('../components/header/header') %>
<body class="d-flex flex-column h-100">
<div class="container">
    <%- include ('../components/header/nav') %>

    <div class="row">
        <div id="login-wrapper" class="col-12 col-sm-8 m-auto">
            <div class="row bg-light">
                <div class="col-12 m-auto g-0">
                    <div class="btn-group btn-group-lg w-100" role="group"
                         aria-label="Radio toggle between Login form and Registration form">
                        <input type="radio" class="btn-check w-50" name="btnradio" id="login-radio" autocomplete="off"
                            <% if (!failReason || failReason === 'login') {%>
                               checked="checked"
                            <% } %>
                        >
                        <label class="btn btn-outline-success py-2" for="login-radio">Login</label>

                        <input type="radio" class="btn-check w-50" name="btnradio" id="register-radio" autocomplete="off"
                            <% if (failReason === 'registration') {%>
                               checked="checked"
                            <% } %>
                        >
                        <label class="btn btn-outline-success py-2" for="register-radio">Register</label>
                    </div>
                </div>
            </div>

            <div id="login" class="row bg-light">
                <div class="col-12 col-sm-8 py-3 border border-2">
                    <form action="/login" method="post">
                        <div class="form-floating mb-2">
                            <input name="login" type="text" class="form-control" id="log-login"
                                   placeholder="Email or Username" required>
                            <label for="log-login">Email or Username</label>
                        </div>
                        <div class="form-floating">
                            <input name="password" type="password" class="form-control" id="log-password"
                                   placeholder="Password" required>
                            <label for="log-password">Password</label>
                        </div>
                        <button class="btn btn-outline-success w-100" type="submit">
                            Login
                        </button>
                    </form>
                </div>
                <div class="d-none d-sm-block col-sm-4 bg-grad py-3"></div>
            </div>

            <div id="register" class="row bg-light">
                <div class="col-4 bg-grad py-3"></div>
                <div class="col-8 py-3 border border-2">
                    <form action="/register" method="post">
                        <div class="form-floating mb-3">
                            <input name="username" type="text" class="form-control" id="reg-username"
                                   placeholder="Username" required>
                            <label for="reg-username">Username</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input name="password" type="password" class="form-control" id="reg-password"
                                   placeholder="Password" required>
                            <label for="reg-password">Password</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input name="email" type="text" class="form-control" id="reg-email" placeholder="Email" required>
                            <label for="reg-email">Email</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input name="name" type="text" class="form-control" id="reg-name" placeholder="Name" required>
                            <label for="reg-name">Name</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input name="surname" type="text" class="form-control" id="reg-surname"
                                   placeholder="Surname" required>
                            <label for="reg-surname">Surname</label>
                        </div>
                        <button class="btn btn-outline-success w-100" type="submit">
                            Register
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <% if (error)  {
    %>
        <div class="row mt-4">
            <div class="col-12 col-sm-8 m-auto g-0">
                <div class="alert alert-danger fade show" role="alert">
                    <%= error %>
                    <button type="button" class="btn-close float-end" data-bs-dismiss="alert" aria-label="Close"></button>
                </div>
            </div>
        </div>
    <% } %>
</div>
<%- include ('../components/footer/footer') %>
<script language="javaScript" src="/js/login.js"></script>
</body>
</html>